Ad InsertionShow Ad Insertion Session

Show Ad Insertion Session

Custom Plan Returns playback session detail (client, device, geo) for a single ad insertion session. Requires the Advanced Analytics add-on.

curl -X GET "https://api.5centscdn.com/v2/streams/push/123/adinsertion/sessions/example_string" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: YOUR_API_KEY"
{
  "result": "success",
  "message": "example_string",
  "sessionId": "sess_4a1b2c",
  "serviceId": 10001,
  "clientIp": "203.0.113.10",
  "userAgent": "Mozilla/5.0 (compatible; SSAI-Player/1.0)",
  "os": "iOS",
  "browser": "Safari",
  "requestTime": "2026-01-15T10:30:00Z",
  "geo": {
    "continent": {
      "geonameId": 6252001,
      "name": "United States"
    },
    "country": {
      "geonameId": 6252001,
      "name": "United States"
    },
    "subdivision1": {
      "geonameId": 6252001,
      "name": "United States"
    },
    "subdivision2": {
      "geonameId": 6252001,
      "name": "United States"
    },
    "city": {
      "geonameId": 6252001,
      "name": "United States"
    }
  }
}
GET
/streams/push/{streamid}/adinsertion/sessions/{sessionid}
GET
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-API-Key)
X-API-Keystring
Required

API key (sent in header)

path
streamidinteger
Required

Numeric stream ID.

path
sessionidstring
Required

ID of the ad insertion playback session.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-API-Keystring
Required

API Key for authentication. Provide your API key in the header.

Path Parameters

streamidinteger
Required

Numeric stream ID.

sessionidstring
Required

ID of the ad insertion playback session.

Responses

resultstring
Allowed values:successerror
messagestring
sessionIdstring
serviceIdinteger
clientIpstring
userAgentstring
osstring
browserstring
requestTimestring
geoobject